%define	gaim_version 2.0.0

Name:		gaim-libnotify
Version:	0.12
Release:	3%{?dist}
Summary:	Libnotify Gaim plugin 

Group:		Applications/Internet
License:	GPL
URL:		http://gaim-libnotify.sourceforge.net/

Source0:	http://heanet.dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libnotify-devel >= 0.3.2
BuildRequires:	gaim-devel >= %{gaim_version}
BuildRequires:	gtk2-devel

Requires:	gaim >= %{gaim_version}

%description
This is a plugin for the open-source Gaim instant messaging client that uses
libnotify to display graphic notifications of new messages and other events
such as a buddy signing on or off.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS TODO
%exclude %{_libdir}/gaim/%{name}.la
%{_libdir}/gaim/%{name}.so


%changelog
* Sun Dec 10 2006 Peter Gordon <peter@thecodergeek.com> - 0.12-3
- Bump EVR to fix CVS tagging issue

* Sun Dec 10 2006 Peter Gordon <peter@thecodergeek.com> - 0.12-2
- Shorten line lengths in %%description (and rewrite it a bit)
- Add gaim runtime requirement so that the parent directory of the plugin in
  %%{_libdir}/gaim is properly owned
- Removed unnecessary perl(XML::Parser) and gettext BuildRequires
- Add TODO to %%doc

* Sat Dec 09 2006 Peter Gordon <peter@thecodergeek.com> - 0.12-1
- Initial packaging for Fedora Extras
